summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2017-06-14 17:33:28 -0400
committerIan Stakenvicius <axs@gentoo.org>2017-06-14 17:47:16 -0400
commit543d9f05f929a8c3a26d435bc76d8bcc96e36d4c (patch)
treee336b1bdd5eabc9da45956894b6a176db7b05680
parentdev-libs/boehm-gc: drop outdated ia64 workaround (diff)
downloadgentoo-543d9f05f929a8c3a26d435bc76d8bcc96e36d4c.tar.gz
gentoo-543d9f05f929a8c3a26d435bc76d8bcc96e36d4c.tar.bz2
gentoo-543d9f05f929a8c3a26d435bc76d8bcc96e36d4c.zip
www-client/firefox: bump to 54.0
Firefox 54.0 and above requires dev-lang/rust, as such is it currently only supported on glibc amd64 and x86 systems. As support for rust is added to other platforms, the availability of firefox on those platforms will grow as well. Firefox-54 is also p.masked on musl profiles for now for the same reason Package-Manager: Portage-2.3.5, Repoman-2.3.1
-rw-r--r--profiles/hardened/linux/musl/package.mask6
-rw-r--r--www-client/firefox/Manifest93
-rw-r--r--www-client/firefox/firefox-54.0.ebuild398
3 files changed, 497 insertions, 0 deletions
diff --git a/profiles/hardened/linux/musl/package.mask b/profiles/hardened/linux/musl/package.mask
index cd57f2835cd..b636d3295bb 100644
--- a/profiles/hardened/linux/musl/package.mask
+++ b/profiles/hardened/linux/musl/package.mask
@@ -102,3 +102,9 @@ games-strategy/dominions2
games-strategy/knights-demo
games-strategy/majesty-demo
media-video/binkplayer
+
+# Ian Stakenvicius, 2017-06-14
+# on behalf of mozilla@gentoo.org
+# Mask firefox-54 and above as it requires rust
+# now, and rust reportedly will not build yet.
+>=www-client/firefox-54.0
diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index bcc31408ff4..87c54a5e774 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -364,3 +364,96 @@ DIST firefox-53.0.3-xh.xpi 446171 SHA256 fceffdd06821fc224e5a7118e54f4ac14d73b17
DIST firefox-53.0.3-zh-CN.xpi 463955 SHA256 befcbbe52e769631c3792555e4e579684762c719696fb4c0e0d48a98e4a5d599 SHA512 c8c0c05939ce72f2a72cfac7cd209789fb55053f88ad711ecf497e36a3a37446860a261f7fa2b00cea5b5035d9bee549b0209ef51a2dcdc2871b187780f390b7 WHIRLPOOL 756502bac6a030af7b0fa08fb29ec83ccf87319bc079b6f95adbce4d53ab5f78cd30361a077959d9aa832bb00ca49b751b168896c8eb9dd32536f4e4ecf3cf18
DIST firefox-53.0.3-zh-TW.xpi 474982 SHA256 32e697c5f5188085fc1bf08216ca8d562cd2c286ece23e61d9a6359ff6e78061 SHA512 556d9a868e137c7e5b7c005b746db62b6c6cbaed668dcb513235a05e9bb84ffc0f0fb031a7cee58c75b802a939b402e083d46306a80be599309bf6124d8ece35 WHIRLPOOL 25929eb57e122bccef20f19d951e4ae0892fb966ccb7b06a1e55a77511dc8fe44453a5f373fc3dd32d2947c5c80200069919fe3c22db28f0b9eb3e1cd78ea046
DIST firefox-53.0.3.source.tar.xz 215253212 SHA256 78cc89650b6d8baacaf55f1a486de06bf3bb5b8a3082fd044e70225e2816e348 SHA512 cef5de1e9d6ddf6509a80cd30169fdce701b2fed022979ba5931ccea7b8f77cb644b01984dae028d350e32321cfe2eefc0236c0731bf5a2be12a994fc3fc1118 WHIRLPOOL 2e04efa111e2f4547a38ef3181487ac872fbd8c654c8ef62a593691f2f04ad5380c559c79e8b4f10c8012b072767cb0baa3773b728ee9dfa1d775d3394a6b3f7
+DIST firefox-54.0-ach.xpi 426784 SHA256 7f783745298e65c347f39576d7f4da212d9adbba7fef8e90bd0038af906b4f31 SHA512 1a7782c1560b4a26e90e9ed06d572133c8b3e6d611c9e41e1b413a27e4b13cb2bf3ef3a113989455ea2b64eb96ee917fb4a02dc79dcdc92f98ba3fd860a98854 WHIRLPOOL c619b780c1690c59af5c680d25422915b81e7f90cc9733e0fee93090edc92d48bb41d590b5721251a3958fc03c3009470676e820c757549f1bf74b7d4b88a7e3
+DIST firefox-54.0-af.xpi 436584 SHA256 8f21ffd7cd10fd05c738a8bd7bf6b4d2f6ff12510385055bc3d81ceb7f0af882 SHA512 957e1ce720b6bc9497ee31b93eb8fad0c2a1da8d5869d7fecfac10e1af6de00ed0d5e9b59837c08cfa3e20e6f7362a061d5d94c39da058bc79748f9773880ecf WHIRLPOOL 4461a529882fe69d9ced804f12db90bbd67c8c9f5252f0d8b1ecb5b56fb4f3227aa2d44fa0de56d8ad7d0b583db04e623e0c35faf8b21f8f5a8e8236ffb81be2
+DIST firefox-54.0-an.xpi 445342 SHA256 1d315794e2cb960ea6c2eadca06ddfadd657eb85497f3b294837d1ff6b1da2da SHA512 a72fd3ff4fa4e993d445635c08fba409ebd6848c509efa92461571d8c7c21a56d67f74be76d37fcb12c7a5f784e52237801044d21e6bcb780570fe059a26b09e WHIRLPOOL 9c3e8a2a3741bf90c641f74182ba745e9d566cfe42ff566e52649e03eac2bff33f813ff957e3a8ed70a285c5a392aa99fc3b7a65bd41554f523055a08f6c45a7
+DIST firefox-54.0-ar.xpi 473123 SHA256 6292715c142f1be1254f643fe4a75c17539bb4b075bfc3d38b3a1e74dee4753c SHA512 fb9374a2491ac7c2fe1d255ed46193349cb2ba86174a237d5e965a8c7da86563913474a8e582c11f4d753de4b70e658c2e8f2a1c62afbf05279c79dca55c9ab4 WHIRLPOOL f1622d98737aa60384774d3cbdcda85dadef909cd9a4742b29106c2ae0c5e09849e9ca0e2cbb030dc13fc017696a75999c63ccae0d71e7f95861c99743cf04a2
+DIST firefox-54.0-as.xpi 484170 SHA256 f51af18c50e6a167127f702356adc5de6c6d05f732c139b255888349fbeb647e SHA512 baf35198260edcd603c88255bea834d7a5654a5f440d17a7639a7a0806a15e55a416d9d2fac039f9982796ec5e4b700e413035dc789fd7606d7a85c383c83331 WHIRLPOOL 543bbef28909ac5da4863574a335fdedcb941ebf9daacd81362717941501074dafad346320ae9d32cee4a8d86e2813303c8980f98f615e2fb2bb669f49ece043
+DIST firefox-54.0-ast.xpi 440269 SHA256 40fad9c18ba04550705eb8edad2b0335314613a70ab529f79d003ead0e6e086c SHA512 796a489a489be28f9da775e8d443458695049fd3a6cbfa873b53a369031bbdeafc30fe1f490c25c97a50559bf9f5eb3a71e488a99417b55b067cf2554f495d2a WHIRLPOOL 8b3d84ed9b6db3de5c7ee49931301877257a4816c3316ad15d87b06a4773833d0a7b3e6ef90b3ad73ea77e93f657510bd119616201df16e4c72aa11e01a525d8
+DIST firefox-54.0-az.xpi 454242 SHA256 451b7c74701d02232623b577270b1df32c0651215484bc22213dcb303972634a SHA512 93a16a6d085789ae812c02970a82af9d2124e106de4ddaa54446498ec14766fc2df1de5225a2affee049a9fe33101bb213c510000cbf68288a2808e972b8e539 WHIRLPOOL 0dc4314b887afcb5cf009608d30f2e93bbfb33bf40a33e67067f6ca2c6359361cc141fe5725f542ec467d6dc6c0f1704c7e8aa670e3d30bbf9be7f6798cfcb60
+DIST firefox-54.0-bg.xpi 485834 SHA256 4502e3f5cc05a3f21a4dc51370fcf5f2f895f28bb3af9e1046f62ea6963fdd14 SHA512 67b3a8fc622f9f7a4429c3122fdb558204e11220ad81f72ccf270be45547ecdb41902d1c07b7b1394c63fd76188ae30987ce6839439db977abacbc2b68e05b9c WHIRLPOOL b7a4f79cd5ca619855830cd255b6de230e3e2b9a96f9abfd65595729b1a4ee35c93925c388d89d32cf40b29d313aba277f2a38e81e617ac559610688a671dd44
+DIST firefox-54.0-bn-BD.xpi 508866 SHA256 e53170b49837a6d50ac01a9c66117911aa70af80a8c5f6a27e9c7b54c608e25c SHA512 355c14cc61f9125e830569c518e74ca71e87d6f00c5481f80fdf2b35a69d63750eb8876a3e531b7aa3a1bfb57e88073624839ddabb9df0de3109eebdbd1ba132 WHIRLPOOL 5efa7f51938a23a5824a7b7cc32b8fcf2d13a4125e7ea943b8428f3da04429f97b04a3643e0012b77e4f8384a9e721e427057b4d0e0404b8eb5d5e7c4e6a48d6
+DIST firefox-54.0-bn-IN.xpi 506163 SHA256 4b5bdfca1440d6b6bd32ada162d0434ad1f1ad29b4b6862a9d04e70fc435d821 SHA512 28e45cde5f65b412e4aa455dd5409e4c291b2f8f23fa9b3e438de1068bb257b04908983804d4b50730c64ffc7748d08eae8ca803e58966918a0e38fa3173ea37 WHIRLPOOL 63dc4dffbb61d923b2002d9858e30a347f2d674cd95ba946c66d22ea66f55f625b9d8ab81e1eae32bad7bcbcf868a082e65c145d800c599fd252cfe3734ba478
+DIST firefox-54.0-br.xpi 434371 SHA256 b53d4a2f4006ba6c10d169cb8e22ae3477f67b2ae5de0f42f3cf59dbe977136a SHA512 e35a624162c6bb263832023107b94319fa0404e32640803a0901b5d70e36ec7dd9af30173a36c75c6345a84e2d120c23e189fd25dbc27c6d3ede30ef8a6da398 WHIRLPOOL d914def000963ed1311b465b449e90b69cbb47784adb88fb7b2f2a7196920aad3985d9180920476e550648c7265caa0e927ab8e4fa7c91cb453a6779b01bf3f1
+DIST firefox-54.0-bs.xpi 441130 SHA256 e90f46df8efe339966cdba9779fb10489c2a85eabeab888c59360e67d9b44283 SHA512 fbf74f6e87ff321b414e65e9be9f10895fdccabdfa1d1f87028c21f8b9a54e192b3157a9490861482bebdf643edc9a7156a5bb20d773ce728974f0d0919090e2 WHIRLPOOL 2544a2542cdc0fe9ef53f7ee24ddc6fcf6e1709c0fbd4a7d9877c8d9742f016733085a483c2276411d42f5439d60fb4c1d3ea635658468941cc856fa278d19cd
+DIST firefox-54.0-ca.xpi 443025 SHA256 297fe08327c58e76beced92ef3d99662e616cff4f13b48f4a88fae010488cffa SHA512 a6e9221999766ab8ec9a26d1e810de20d0c612fca14d4b9224cd63749a96f8db2778bc59b49954d4c2e1e81a73035bec54d842e10b4ac734b8a3f24940f6dfb0 WHIRLPOOL 4ddc7b258f061871535fa45cfb8c62884200500d568b88c4341fc53a1bd01681580b3bbec6cc0aae74f4ca6fe99efe9ff2749538f9f1e1366654aebcc9a66d63
+DIST firefox-54.0-cak.xpi 458230 SHA256 b06f1e9b47ec9bb6fcfee5c6f63285bb46daef5bafe4dfc6a1bddf7083a2c825 SHA512 659377c9c544672efa5d9f6fce49652bc3011d64bd1ba3b4a3a7b8665026dba4e79afd79ed2a2d1b673b5f2921c1b0704ce6c4cf8a1d88795dcdc42a9bd7c42c WHIRLPOOL 87b47a8294d8299e88ebcc1e2023e531a5ffe013ee3d47f9111e274204b663db045efd09bd2695aa2a60a3abf3c838b3bf301e371dc7ebd8c9048c9980c509b0
+DIST firefox-54.0-cs.xpi 443928 SHA256 ac29ec8e63bb16482cdcf868f879aa91d9f896766d7ad799ed20eed0b6fca054 SHA512 a1b680da9bc094f18132c57bb166be83cbdac34d501d341b32eac150d8a399a1330a726bcf3295228eb9b51c56a1790a447f8ef9817c4499d84cccef2611763f WHIRLPOOL d811b9fb62ec16023045e23c16583f342008d861dd7a4e7d539d91594aadfa8cdf754ac8415903db9af2e4a10cab258ba7d531c905a983adcf48234fe56a326b
+DIST firefox-54.0-cy.xpi 436309 SHA256 7181795e00673ed6a47a08f7823c9ff08060be9db32f7a2be8990aa87a2eb9f8 SHA512 7f2276fde363cd1c2017e78d2a46e419dae1f8b29eca52395362d697da66b9b052555a4d2a798340ac504c63ffc97238470cce81a25d1b4bc7c4ff887509e81f WHIRLPOOL 977a1eba8d611a14f885b019cc59efbceb9288b051d3c5ccabdc09f69875f9c324759744ae91deac902578c71125901f99a420046a4588854785db7ce8b52d24
+DIST firefox-54.0-da.xpi 423764 SHA256 56778ce556670dffd2d5baf1396e991b19cba494bb30c4a6f82ed2b78c52cf36 SHA512 8524ca4f78e55dc51864405668752fdb645ba617071809c0e0270db48bf7d618f7c0a7dce8724facaaa4fa8ad49b37ba37ee14447ec5c3e4fa3d4e2acee0a72b WHIRLPOOL b4cd22e9f1b22ee55baa1b7f4a3c0faabafc9f29f1fe59a21137f251474ee48ec6784798280e39efeaf69925090eb0e008c6cff70166cb07dca2d8e7368f9246
+DIST firefox-54.0-de.xpi 442813 SHA256 44775ef605e4d57c41eed99613d2eae2b9d0e53c642be91a90ebf8f43d0eb50a SHA512 83323b5f0e215ab6eea47488ae7c1fe76fc4866c8986abdaefd77c2df671aa0a4a0d6fbab2733a30a43d885841a1fc5736b0911f1681ddb11104bd584681b039 WHIRLPOOL f5ffce9c535ac0155b88dde2c838fe2fd4cf2e4f4705051ea80041325a410d0bb6a28947a97cb14d334fdd223290c785d9df05e50b26d7c62e58a1f93eaef6d1
+DIST firefox-54.0-dsb.xpi 458687 SHA256 95ed7b67a85bc1e937db3c1bf8a9041697bf8cadf90a2533a60cf40b9305080d SHA512 4628c0b6af397bd80e448c9c97316600bc20ddfb30ae7e199d29454e3faa7edc22fbe0d5fac459bb3c3e46845250951ecb187634b4168918e267a50990e5d547 WHIRLPOOL 6d83af307053a77c24d5032a3e5cb59918b4596612c9f177d2eb0e039883f6577e9b9a3c511e7f904be585690cc462de4d5b86dc42050a129f972a8742500ca1
+DIST firefox-54.0-el.xpi 511227 SHA256 6bb35d24d1262b65f5a1d39d0f629ce51202197ae5585d708750d243083da869 SHA512 f3457f83543b0ca5ef015c00891ac839f47c3f7628df8754651dde5add5e83eafce69ea5dc6f1deb1560e5677992d45bf96d1fef03bb2f7437a78d2d6aec4eae WHIRLPOOL ce8cab688403171d90441c0d543f47b6fc5c71883e7b220bb8c20b169f2aecf414202aa921f92b7b3d1248e0599c59a454db708273131a8d08f0d4573c44d2d8
+DIST firefox-54.0-en-GB.xpi 419544 SHA256 b33babbb6bfbf6d740158bdc576b4f1d8c3fdd4d8fb23aa2f0cdc1fe9051b179 SHA512 58afddd54cb6136cbecd81003a243e0f4e1f10f4e642c96e4fe035c58dc099132b7179a138f276617eecec63c291f68c5c4d2dc08e7d2ad75839dc70a6c76f12 WHIRLPOOL 74d2fd6c64ef8c2618cc3ede6d3526e77de25f1b2b9149dcbdce3440f5b68d4c7cded2feddd7fa91d1a3da046cb488394ff5d6005f71da2a477605e90037e642
+DIST firefox-54.0-en-ZA.xpi 413430 SHA256 406e1109a9eb58c5c10fbcd329414ab731900c98199d0873e7cfd4a321e0e878 SHA512 8a72f23d00511916840cac9ca3835bb66f3ab38ede6680326f0b55dd7bb47e725fbd30c2c54a8bc00f43e41013b7fa74e6e241daf6ccc6c31523c76656ced33a WHIRLPOOL 6e459ebf4387fe53e9b700166f14d7897571d6360995e900db78ebfe6d78e36ad8ff19c824b51a8cfd49bc03d25dd1edad133b87c73b1944bc477ecbfa50cabf
+DIST firefox-54.0-eo.xpi 437025 SHA256 e02532f575b2fca711119812e733c657c5456993d4f046fed88cdf88d88443d6 SHA512 2051a5e0ebba6f837c72f22771c918992f76e9eda0c27cb763eca00d2718b04dea89bb43d5fa511cd00dc5c2542196f078b59b8de1c51e643133f1c982d2103e WHIRLPOOL fd8526ea17e4c3af82c09ccd9b259c0375c45f71a29f47511e827239c07a61509295b68d8ff31fbe761f0356f5238f47094f177f46fa2769c65d2d8fd9a5f19b
+DIST firefox-54.0-es-AR.xpi 445557 SHA256 ad52c7efdf58d8a690c7db4d1cb19c5d5ac1bfd435ade9eff6125ba129bd257b SHA512 b338d38f91104e6bde1506fffc17ac994f03778f5a37b6f7b7d516f8ac7d8161a62d3958567c182f63608e0387f8b4ed29265859997af3d6cd8b28572af61c22 WHIRLPOOL 749748bfabfb8d7c397976b8dd9082653c3ece37d3f8641b159943476a232aea98e268437439323045b412b19fe8823ea9262b7f77b2b3f223fb35495dcfd85a
+DIST firefox-54.0-es-CL.xpi 445583 SHA256 55fcffd87b1b481b86f5cbfe3415241b69eb384a296a59e8a47cc009841fb0cd SHA512 d7e490e7a56132664889ad7d6e227faae1b0d27cb65861c4e62b50abd9d0d512349eceafff4e3ebf978d5399efb05fe8581e90229d022d178e9faae2faac6c46 WHIRLPOOL c4a37a8fe92cd25f1404fc1ca5ea69b0df19eb400157b3e87ce884d4705366f2709c4b5bdfec1893d99b00ddddd6f92467e3adad83d014505145fb2a8ea65dcd
+DIST firefox-54.0-es-ES.xpi 341279 SHA256 925cb493c9a773b3b90de7adaa8adaecc0ac416dcfc0dfcfa7bbe631d5d89d9c SHA512 38024d0b054124b8518446fd55cc4996f60bcdbebf7dfaddf9e295b59d8f7c89a5c762e44b52b502849e96edcc94c67b721d51c2597a8f23f6ce867ce5d1c6a9 WHIRLPOOL f42f8907c3465d86dc9ab4f72ff3337d118abc705e9eaea6639849f152662e944cff828dbcdad5c0d5f8ffd2c2b1f1b437d7f0d0fc0f13bbff4c0be0232669a7
+DIST firefox-54.0-es-MX.xpi 447975 SHA256 0433d137dcd0efb5372623f091c5dd6214cff27b39d1e2717957881c41a288fb SHA512 0faaa5f461e4235d88bfaedb0fd49164c0a31414584acbaceab5ba055e8e0bda6313cb417fed94d9cf1fa47c1de5482aa936598e384addc70b4df62b541df116 WHIRLPOOL 82fb116733a8978ad216f5db891a71c2956bfb4a134fd8ee46cb6d23edd48e2f41a058d0196fd17ca344dfa733d76435de156aefd6e589785555ddd3cbf95b71
+DIST firefox-54.0-et.xpi 423853 SHA256 10f27527f61337929a89caa36a5680839e4d9b446fc3098db921747778e1c663 SHA512 95b908cb56cd0a0f68740a4824d287721e8e6ccc80a40400ea9be8b2142781b1334eea446ffeda9a9105dac286da4ab15c2eafc94689e421e07d638e5a063987 WHIRLPOOL 24454e9b8334cb78678cecb130b92a278d5b312b6ce76c2e98d118f556cb7a01b50cc445af783964c581f8e7eed232c3cca9153c57b8eb3edbe8076ac888a5d0
+DIST firefox-54.0-eu.xpi 438024 SHA256 a90e8bc05e12809763efc89b36d8b141d979b7a243ddd666495ea69c5b7ca969 SHA512 c0ace9e1905c9e916dfedf3c61447970716922983d36ed6914ea94ee70c83ae77adabef16ebc600d6bc4628189b085b86fe5548710dcc6fc7b416afb5a63a203 WHIRLPOOL d1a0e33fea299fa2ec9ef1566302db39890d2cc31f533c249799ab2b72feba30de7234ace28c0cbf1d06660c0b5c6a587ea1510e6bb66f8ebb038d7407c97e69
+DIST firefox-54.0-fa.xpi 490359 SHA256 0722a962e8e96db6fdc0272ed95bc76396c040eac60ea19b846b4e913a879e42 SHA512 b4dda7b7055c407782b6875c51efb12c1dce40d97a464770a719c3eee7c99c2025f23641d8a4c5cf7809cfb3c484e6855e5ca4f377ac5edb82595b3cb2656425 WHIRLPOOL fa8dec98b792e0bf6068ec75f7618cfb51bddf27face1e6b56584cb334f8581497974903f5f6b634839fb3faa9f7b0fd17f064987a373a3b0bf7f010daa148f9
+DIST firefox-54.0-ff.xpi 441538 SHA256 bd29a7aef898c7f784682a6dc7832d7464f3dea7a44a1a3bf06e826996b6c938 SHA512 4d4c087e1d4f2609762e7fd55759b123cc7945edf268abaa25bb31906d40fc71c0abc1c40ec892b634b8b26d221c9ab2399f496f8677c3d8e306c2710bb43885 WHIRLPOOL 62217b6cee2cea9f36b9a3ff25dcec45bf7009e72ad8c60bab3bab30d75c3c5d5cfedc03f6e09aa5d29ef84d3ea36b9dbb138ccea85d2494645105142ff8ce98
+DIST firefox-54.0-fi.xpi 428996 SHA256 481b6a5c9526622f2e2deec64a671146d8085bf22c9e43d54ed0ae3a5c1560a8 SHA512 59f4a7c7fba6592b8e5e738766c9e4d94c689f8c211ed419c0c4e456328affa1f8b90ddf5cff51ac76da3de45ae8a272a239b8adb7a6f5358caddfc87341749a WHIRLPOOL 90ba30f92da4ef13b69c1c0b15b0e07bb609d2ccf8bab68894248006f0e8388173f48bca016ddfe5d2c3562586bd598609775c99010fe877b8e1bbd53acdce69
+DIST firefox-54.0-fr.xpi 451594 SHA256 daff81d6ca8bc10a2577461b64454cb8d9ddf4c64672ef131bee614d13a157c8 SHA512 0bcb3c9c1198c0f527a3d86e6608a8758776d3608121e6799a71e964021a22f23811a488997f3c2c353791c46bb1ac20e5557de9622609e3c2f5118f36d8b402 WHIRLPOOL 5dad6cc854b03ea671248cb0a2fe74a8ade1ca73c4c95bfb53c72e8f421c3689b72d65ae40709dcc6974d3aeb2236c0bd897d376a015ac1c182503400458153d
+DIST firefox-54.0-fy-NL.xpi 444472 SHA256 c51621608972a81f032bbbfaab0a7f203201c3c7eae5ad5237733db5b133252a SHA512 a26f56c1d68b4beb38567e358310eb4da7dfb02d4aad3bb686d11ce5e3d4500e5d4332f5308f7b146af0bde353a4d59d798c2e2c3e0ac7c7e6770fd8f6985d3a WHIRLPOOL 3250eb7b680613da03d07901b208e1c343e12126dea83563283fd995eefa69e6781e939d7fcb65ef6ac1c8f0f5ffd46f23c37fd78199d3cf5802f885ad869e15
+DIST firefox-54.0-ga-IE.xpi 457482 SHA256 021a86749b08b16ef6c2812a280675703f72a696112caa65172370b00a0acb0a SHA512 8791078a4a3dd903fa4fe34e4bb6da8913cb79ffae7452b57e6d32f2a3df3bc399e8de0ab489bed5827e4a8a53b5dcfc21355e3b2b47274e056a1a4481d18a91 WHIRLPOOL 25a0213bca664e3e9a6c5b8f5aa18ca8deed4c785454847b1061456f406cbcb42fb055a49d2156493d1e952bf75fe745580514cf45ab125f694a51351f3c66c0
+DIST firefox-54.0-gd.xpi 446083 SHA256 ca7601a3b8c20477072681af474958af447c0e771bd15a796212d58bcbaccd70 SHA512 32ed34d93aa77cb9d17878cef5cf124f49f140c963e366dfa3432aae2df80f8ad62c3ef37d1473349971c35126f6526228ef1808fc22c4a05651e01769a0fddc WHIRLPOOL 77e049d2b40c1546b2f26d7ec64a01d264e3327c6f0e93cce64d3609041084ba4633fa2fe3f34f2a7168c703f4e21dedcd4b0e57ef391cdd017fbd809b890196
+DIST firefox-54.0-gl.xpi 443275 SHA256 eef6b1e2f5889799a9ca4f42ffc9a5943b1b7a3e0aff6d2b679f3845afdf0686 SHA512 36c7c6fd4cc042864221a7882ebc299f3af4178e811c17e5ecfe0bebf651f521185c20ee24edf013ea8600b60b322c35b34313dc8e4c7b2d652528ba774cb354 WHIRLPOOL 88e01daf7f7a94995dcbc730fdfadf9930949dcdda86be4fb7df8a3ea147def873854cacb2977ddd52bbc4dbe84f8b8393dd805a13844816602c42c9d1b55ea8
+DIST firefox-54.0-gn.xpi 456066 SHA256 965632ef1b87528cec4b22d21340a938b86554c63187dc062c14b295ee04b976 SHA512 4c05372798efca53ed08aaa98e546ea76678881d03ec35d715f8af026f809c4401769d737c60b528283517468cf3f7ca077f518eb428d83a02f4a401d6179fba WHIRLPOOL 320fbcd1cb01614566e8276bad4fed084cee7961c49dda736bc3ccc9e0954c80aa8bfa15845d63d567d2a9cf0712838f6155e103fa1b11788049f8a485cc75b3
+DIST firefox-54.0-gu-IN.xpi 487117 SHA256 2d89112472e65ad8801393aab669e7ccbcc83a54205113f5f00dcccf3ed46789 SHA512 64e8604c001f673ac1005f263519015d1261dc806aae7feef04df2f7b01c2193ceb0243ca483f0f9942d0094fed520aab44d18baa5645aa126e9f7fbed30fd51 WHIRLPOOL 4ab7652dfeca253a326ecad39d3973896b8919d9fa0d83035cfd2e72befe9bd4ab5410bfa1aba850d3b93c8e8dc2360f5666d65f4afd2c89908b1efa86d948ed
+DIST firefox-54.0-he.xpi 454286 SHA256 769e7c50cea5e8bd1d3214c1c0c509ab7f6edeee19e587846fc1b9905eb82404 SHA512 69eb5d5ad1cc22f3161631e73427965856983236face991ec271fa813b7309fa5105e932af4259e300ebc3a2b528525a7b20826bf698d2c866f36391e88235da WHIRLPOOL 2edf4d93f332e002ae7718664675aac3f9cf72cd696f6520a9dac5271c4f15b5ca3d508a347067fd066453a36bd8712ca3b5f701d2cc23d770087d8f24773250
+DIST firefox-54.0-hi-IN.xpi 504631 SHA256 45069a5493735e4b8856c1f34c00d543b11405aec9eb6744e861035fc5e6e315 SHA512 c8f25aaeed46dc4ee63f55983a8595011b2b328f7c1cd83be11d1849d3aff6c9a7f9ebdb372e3848ffa70f8e9c42b1a79f6cef8baf6a92795793674c28b0bca7 WHIRLPOOL 91c1c60abcf7195f542da7fcf907ce90e8abe0af9c7beff16041dd776614d427455d39f52f9cbeb3bdc525ca72b0e478e3daa5badd01a391efc47cf323148a2d
+DIST firefox-54.0-hr.xpi 447779 SHA256 7555bbbf2e060acbdb2538b12c857743a7abbc5e3ca0a3a868545f61698a5f5d SHA512 7495cbd1db4387ea74ed62d4d4ccb072f401c50e0d41caf32b7241de7ea25ea99feac665b70091f257663ff08e86ab45460f5cd6b915423fd9a15eedc2a1904a WHIRLPOOL 500c013a3842fdd70c63534c18f3e9b50e10de3fb52e004d585225aaae08b45fc7638f6c61080606a9f790ab15358c0618565e3c87fd2f764ceaf6aac6e29fa8
+DIST firefox-54.0-hsb.xpi 456525 SHA256 4bb60b51acac017c3c3cc0524182a6d791acba8b5a9601d78fa1d882acbd5258 SHA512 a990d0ae098e6bffd2d0ac215871a19ec327e07dc5c135df944fa6716ac8d93b063ecfe686657cedf973d93d8b46bc49f9b8d87fddf44967c4d3d1a53f9d1d6b WHIRLPOOL 1ffbaf9821d54c0b80955d2df7a9bcd2656d28449db4769ffe3563ccf334af234fb10d7f345435533cea9ff7136935fb36f85d5ead15af96b0aea0c38bbfc3da
+DIST firefox-54.0-hu.xpi 451119 SHA256 59eeef5917e20a80d76f3fcfb73fbce6f1fabaf3856eb76c42084831d095bf4f SHA512 f76aad05e273a3df575c3fadaad0986e62daefb1ed0400080446fd4a8ae2993a008a18017e1ec0a58d12618c6899086a9085d93c558428cd05d5aac67d100238 WHIRLPOOL 5809330c3e36eed68b15068c3df59a876d17822a3a5c511dcc44199a48c87fed0059516970e4f743dfa8c738070c84a4445b027691f2494bba467a755d10cd69
+DIST firefox-54.0-hy-AM.xpi 496019 SHA256 08cd87b9bd9ec8962be05fd183dc81c88cd869a316a78e37f4349423bf637e1c SHA512 d59786b9c42028966073d549f2bb77f4d897083d61f9fbbedb6bc980f91283274190b118ce1c466970f7a5adae966d1e951a6b7acab1bf00fde34ab3ab27a9a8 WHIRLPOOL b743e45f14e5d9dbea8452a6c38103ae7aa25ebb4b263a93147a93bfb4558438bee8f75f38866964a61e045ac2a462413764cd7c36e49424b4ad7c46d3072149
+DIST firefox-54.0-id.xpi 425282 SHA256 e90873350cc4629e6291059f347c13c494b087b02d24c71978f7dcb55a4cebc3 SHA512 53b51eccd08a3593e1322965deb6bfb3a47d418ef4339c9ed8269e32b09b9732ba0202adb8e9858f5819bc1d41b724660f2d93667268f383d5a88e4f1d60f82f WHIRLPOOL 2c4cc779b0f67cf684990c4e2bdaddcf453dfae185ef1e5515984772d12579f24662456bbfb3858e46cd17c7a159dd63ae6c9f54f69bcf418d1ebb3af49218c9
+DIST firefox-54.0-is.xpi 441707 SHA256 85f8e6b62f8f095eb5aadd53297b00156db484bacbbfa8cfc8e9858ca9b97a5c SHA512 bdb75477fa29660c8733ff35d62484402da0f6f644716b135053a77698fefe828a493d5aa8f085b927ab9ca21c7334fe34f01672415024c29b2f9dab9952bfa8 WHIRLPOOL ba466f3d66aadcf92949f275a303835753326c9d5cb904d2faf5ba71b12af0e707b53c76c2515e138d280f6745ba85ed03c8a5be6c7f84f5ead6f8beaac0761f
+DIST firefox-54.0-it.xpi 335499 SHA256 2c4a202e18abb9a6ca440b7a1c95dd702644f4146b5c5e6ed01fbbd2ebb7d4d2 SHA512 8b62d5f822999610e89d8ce33342a67dd1181d643e88241bbc2440b51d21217614d4e4042384c00fc08fba4b70de06f9c2dc91c7d7c6fc4e3638ab94b4b82384 WHIRLPOOL cf872dc3d3a0c9041d73a997701a5af79f2735cbb605849d8b60b131e5ddfc9f4ec1207908ecdc4a8467954e547762418a2b83dbec360158f842578c66207b84
+DIST firefox-54.0-ja.xpi 486805 SHA256 9a2a44a59a3baebfdba32a6acce42a9d0e191b510d8b85a63dd4b8df80fff935 SHA512 f305b2a418d9fa414333efdafdc5addef872bdce796b9fd897519f70e77989d824629ff4e2a4b3c9880b1e4be399347c51f833152d961493ad13e4221715e27a WHIRLPOOL b69a763efcd2a1fc54056b0022acfc623b200396ba96fcb62d1b247f6fa1c245930c2472b8afde506dc15dd0cb70e588595c8d5e476b7590a0ceb3052c3d4a36
+DIST firefox-54.0-ka.xpi 473230 SHA256 57b4243c229990a1c7e077cc4cddc1b39b70ad8222cefb3a5ee31b331386ddd6 SHA512 1d3b2b26921a034e2ce03689b0a6e3bc5faf3acf1c05c055f8bceb211e5c2a27f324689c0f871a143cb9d827fa8bf1a8353e517d63fd077f1719922b54ea0923 WHIRLPOOL 0dbd81e13ea10569acbe17d65656412917a8220dd6ba4e7f859167532483f459bfa11e61de1b6e1dfd33d47c5964b8164bf2f14f3d35c1a7e04b4a82104fec57
+DIST firefox-54.0-kab.xpi 443915 SHA256 23a2efabc88655768036218c1810308ba83a5fb4236dba548b67ad9aa5e3f08d SHA512 c5c0e5481ee3f13d833c9dad06bd23cdf042dc3afbbe293d7e088b9557d59f41985cadaef75096485b8bb612610e381c7b7cbaa2951e310607a0625027a1a0f4 WHIRLPOOL 1d734e6ad7de2a4520473aa19963580ae71ba62c33f77e420c00e8d1419d6787cd3aaaabc1f2389d1d37b05730611b0926c59f6a889b29e5e951058e26d7fb05
+DIST firefox-54.0-kk.xpi 493047 SHA256 1aebc18f5eaa33119c04d573b2292a4879398798c7e1e13a27bb06204df81236 SHA512 f86a406c8354743aedf468208a1d8495ce135b258a5919b1afd77d27795d45b46697ef573ca90d08fc0dd5b75a864cf4cff6a34266b7c896bdb5b93ffc7e87c1 WHIRLPOOL 1dbd9f5152a8584c5d31d8c54115fa6852d57b4b565b64d4d8068f9fd3fcd46b3a8da282f4422b96242cf123e8fdd37a166d6a68a077912419aef9156988ff43
+DIST firefox-54.0-km.xpi 517239 SHA256 cc763200afaf9dc8ea905df9cece16107b9de18ad287ac649cba2d5f49f5f0d3 SHA512 c4071b73a62ec8824e8faf98ee2b76585040ccf8fde347c7549f56404664d33f10a29a6158ad7f8c9177e394cb07e430761eb12b34559ec70fc6934d081c08ed WHIRLPOOL c64dbf80a49faaf5bb9a64a0cd5326d6974fdd1584d5f2f90e9e85da56bed9acf338d281a1c11cad06615583cfd055e18ddecc56a705d5605e57cca0403d0524
+DIST firefox-54.0-kn.xpi 516491 SHA256 d0f50369a6ac5da6ea463c4aef2923f3a9ee6b7ef7c456ef98a6219a54cf60d0 SHA512 5f95ed943888bc5309c1474f50312f164dee73b6feb60306678e9bf3f04e827732c63c5e446e28d8112b08a3475781ec8448fa52bb5e64319aa902e1b8a3ac67 WHIRLPOOL 4254b8724638af71cbf0822e51aa22e32d49e8e79cbc778bec3cb69c508d6e77e1b2e4aba26e0be7cebae5ef196377479356c7f144abebc4f560009435635930
+DIST firefox-54.0-ko.xpi 460422 SHA256 37a44a4e8bfebe5dd1f1bef894606176aa993c1d68b4b062dc0315d10ac16e64 SHA512 72a92df54fec23a3c39bc66ed3363214047272f3d49ba59b863e450bc985b3dd1fa12f892936ad2f52feb17c84bfe39639195bdf1522eb669e29f0bbe63ea6cd WHIRLPOOL a5ae5dd9a83d6ef87152ee44361e3963ea061ec962539fe801c9d29d0e4f07b3fe2c924e2dc37ddb82b99ff0a024cdf33ee4f13db437b8f2a71725303162d19a
+DIST firefox-54.0-lij.xpi 431673 SHA256 3a7933758f05dfaed5f8ef3db85f2a24542346f766b6606b54d44992ee450645 SHA512 8a8bdfda321213f457b2e54caeeac671327dd81846aa7332ba6b3d2d68ac0a125ec412fa185b6b69b79569f8725b4818665115038e25a3ae5017878d06d1ff07 WHIRLPOOL 59f5ed1bfec8e7e73a58fe472faed6927aa7f2cc8c113fb7f6f72422010d065baa8662b0aad1f628f9ee2e5a36d2caf44bb7b2b5c09d4ce8bd32999f79e2cea1
+DIST firefox-54.0-lt.xpi 451193 SHA256 355d7ac647cfa17ab2ca89e5429f98f5da0983e9a060c6f6e9cc17c8d9eb2dc2 SHA512 6df92c8070696b661e578ce2418f7d20b715be19e2c3e8fb5bd9d05b60dc34f89ebb1d8ea15ca21e1eab4c42bd80986ab3680faa58246007bc3c3233dbe49093 WHIRLPOOL fd8aa1b89f41a6461d4a5e5a5460ef378b23b054fafdef683d01cc7f620c28d6a232cf84ca73804d974a5ae061008a87ec1be686260a5a2254a6a3f6f4d77ee0
+DIST firefox-54.0-lv.xpi 447752 SHA256 69ee0ea0b565e923e738268341f25b3529dd99f9366cbd00abeab695eaa0d1a0 SHA512 e6531393b782ed9170db7728c59dbd9f63e875870993119bcab2cfdc0fa496c3ae2cd5d65d2e886bd65a556069ad3f4dcda9946ddacc72bc546e720b2aa1c534 WHIRLPOOL 6bbfb1a45580958735f4563573669825ab7ce0928bebaf7d6c3af6bb3fa978a72de215630dc180296bad3bfeb9ee9ef9eb898466bace22c8be63a637b17e4217
+DIST firefox-54.0-mai.xpi 497011 SHA256 cd475bcd0aa8bb981804cd6eb3365ba9187029ea70e1f1c96d5dde1c3ae7b980 SHA512 6c26a6234e5bb6847c28d413cf214a8b00305a823f680f7debce6dc8010f1e05f95a4ba3d79c6cec3338ab1ff417c439ae0643146e5ff1504760f164eda19141 WHIRLPOOL 0c7a305caa8a0e3bdef55b052073bee58520db6bdf1b2fbe69b233db2bb2ce93bc52dbb87c0b5d38ccebdcd22b0f4f4a83a123c110c723853d9496e66fb99316
+DIST firefox-54.0-mk.xpi 493117 SHA256 377294d926f09e59667f2acf0ac867f3fc1f12668f320f448b672109eab99d01 SHA512 398cf2d40c1558f6c82aa201c844d1ee857b01acf3be3012d61be0afeba6b21fc5022b8848c1bf60a74930707a01a8c95fac983dfb5f84e73f13dac17642c3ae WHIRLPOOL 088e38ddb8c47a133a8ac61c9ee9a107894f992eff55660b6d82aa395219b99bd55716f5eb4674c7f5be1ff70686b69a1c556d37c5f79321f2d798729104c890
+DIST firefox-54.0-ml.xpi 512264 SHA256 cb110e4a1b55a190a875e00bc08efabf9d52228c9ab12238c771af2157d414f2 SHA512 9c5eeee4c6694385bea4e7a497597e5cb260cb1e6889571bdfd72e261d256099c2b6091ad117fb5d0b5f2010fd989abb4b5515d9af5c00354bef16a1a3d223ff WHIRLPOOL 4fc30b1a6d1a0110f52f21de2927fcca8715cc95dc57eb3e57cbd813942aaba45f73f3636569ae5cc8c9b8435a9933c3a0183a39c22664fea7233511ab23dfcb
+DIST firefox-54.0-mr.xpi 501033 SHA256 64d18d7927d4bfae2ffaddb559ad5e74b642e72dabc3cb60052804807891b015 SHA512 2f0c4e836f14d3270e672447ab43efe4f731b5ddc9a951228ba3657701664f3d028c64ab790faef68b80d3197cc304fdf3582076b40da7da07684a5d2df91935 WHIRLPOOL 5ee1cd514c2a87695c601e765b65e63e2aaa19f8af96d7cf416efb66aa752ff2ae6ce58b2f640bb5fb76bd31676b979d3186c8ed417a016984b6c0327b288528
+DIST firefox-54.0-ms.xpi 435500 SHA256 5950945e46e21891ab53f3bf5828888f132a056ffe5933a1acae94c031139015 SHA512 e21c88337988dc75f0c706c732a0e2065d0d6310342ba8e5c594092439340518c27d256242a561cf7366e44978a271f2d53fc54fbf37bbd07f29913897b72595 WHIRLPOOL 30c0af2b027797789227e771d5c2bbdd054d335b5103da914aba0508b5f3ebc5915289b8928c61178bddd56800f5d186e7a56e74a32a8cc153035349b18334ab
+DIST firefox-54.0-nb-NO.xpi 433680 SHA256 efafebc209ef2d81e09ddc36809071064ab0ce2cbbed77adb621341d9d66962c SHA512 3905ff74ef035a7f689edff7f0dc151f4d7469e620a1cce40b0cf5fb900a9fb79c6543af734873a2c0040f210130c7ef2df016ddbed5e5e5061b021569fc9a61 WHIRLPOOL c343d6f1badad0e7fddf3dd6e2e1d640d213217ab7e3e7d3435f09f9139177e11903f2cab15d765bc933c7fd713ff59b58ccad84c881b9b8f6527d5b851dcc9f
+DIST firefox-54.0-nl.xpi 431500 SHA256 aa9fe3c007e84bb12267d789a41fff32caa235d6f242fc9ba7ed86da8d942968 SHA512 3f76714554084d048a9d14619d8b09762ebfd4effcec69ed10665f14ad8d39ae13f8d29709882080dc68803051a5e40dd443ddcff9483ad219ea882cb1a70b0a WHIRLPOOL 24f0ce020836b8f8a9d8db2ccef85cf991a787382ef23d4a91aa9f9bbb68887954037401160f1890d7e415deaec19039ea2a33c87ea6863e0cf25bf580a6dca6
+DIST firefox-54.0-nn-NO.xpi 427869 SHA256 882a058faf72685ea0ff41900b57ff5eb0d97e892072ae0521ffbb05e4a0ccff SHA512 a6a8f7e94dad513c2190b59124fc3e06415cc0df0742577dd8c4bedd68d4760ba19380bd4223a42a9cf23bfcb20bf1cd0190dd4779910bb089b25c08a5d82182 WHIRLPOOL 93d01a84cfd79e5849ff406bcc01fcdbd7cda2f5fea508db880fd920d3eb8512fc618de1af4f6143a6baee7bb5d4e1349e6acaeb968412e8ceac8d29d14c159b
+DIST firefox-54.0-or.xpi 494076 SHA256 708a93f11bc6f71c1309da18e29ea18fd5be7daceb908909788766e22e336ae0 SHA512 f1b824f3bb5ac9a3a29ac6bc37dc503f14c85c52986b888814d0cea08a0406d929ee419b1f454954ff682d81713dac62ab4312cb311eec6f4a42f231ee684b15 WHIRLPOOL cd05fc6fb9a5b991a1de0e8263bc94fe47e6c2ce39d915e99f408f0237c66c2eb0931a3ce2f89b7c1bc75120e04dbbcea880fb22feddd7d31c288675256998b4
+DIST firefox-54.0-pa-IN.xpi 473515 SHA256 55e98f21d75ebe69b57eefa4ae2a1a32f60d108fc7ab4177138c77bdc32ae314 SHA512 0da3992550a35c848abd4c5fcd7ec11553ee08232c33eff279c2c125a1515346a9c4880b7776e33695f0eac083d0b81fbaf97f55efab34e6f595b03b55c43f2a WHIRLPOOL ed367e3585aaa55c8c114d128fe6688dbebc45a2d856d54f7125c3661f714548d82cf0101471075dd6a348d0ebfbbed4528a4c254907b20688a7b666a9c1dc6f
+DIST firefox-54.0-patches-03.tar.xz 8844 SHA256 1679f1ca2c1e1fd1ff2d56da292e1e51b714e94d241d43f581e40163dda5211e SHA512 30c265b8839c1e078f3259a8d7e89bad29d64331522d74b60503f6ca8cf79dbc35f1e4c3513a21f39da1fc50d94fa28eaa6805be297e70c9a530473071e3ab86 WHIRLPOOL 987a835001fafdd8261d3ebf37fb2e3f56389e3b8a05532c197794535f696b2c22fdd709756c7c33fba8e74fda75881c3013e699c30d463751ff96a43e385c27
+DIST firefox-54.0-pl.xpi 347203 SHA256 3012752259b1043d55b71418eb23c69ee74230d39c0f5c336c6471b41ac2a60d SHA512 66570fbc1e5d437f33fe0389175ff6df8db48aafaaaf2cb1ad59ca13d984fce239454dff08639a4570002ee0fdaba7dcc26f820f766a07ea671518f148865304 WHIRLPOOL e31162f8ff308ee5743e58627896675f672f2670defb56dc16ca3e73f26ade388c7672cb2364f047e0a56a41621881b570d7751457ea3dacc733a36cb2ce1b85
+DIST firefox-54.0-pt-BR.xpi 437172 SHA256 ef23036aedc70ff1c7b35890c9e8bd738da7df44d71f91a4bfe3d5c4206d6cad SHA512 03aa4582a0a9e243fc6e91514b5733365f2af3d5d96e9a33fad866ba7ae4a5eadfdda73c20a058dbfd7ac36aa3a6edaab36c9b921d974bf7c59cf389fd22b6e7 WHIRLPOOL 3abe89c418baf52b57c18e60a82648d7613a06ca85b4de69711842e5ced66d5662e69afadf9bd4be9bd54cfaadbad4fc0afef722dc710194425d089d6d2e26ed
+DIST firefox-54.0-pt-PT.xpi 436177 SHA256 9da6b5aa0f36e94ff7fb7bba94c9caf43614a985e07cf64544a92596a3acd874 SHA512 e27bf17f49c4bd4726a34d57b933aa816c4c526b71d38a999d6d2fc3039260fb24f0ad430772a466065b6991871d4e4fb016048584f15cd3791b21a6bd4ea8d4 WHIRLPOOL 40b6297ca328e30c6f4b1928b8fe6085d12d605018634f0e0205c5003af0b2f7cc1a010f1e835dbe670e35596ce3d91dd28e64117febbb66a59623ee3d8bbb1c
+DIST firefox-54.0-rm.xpi 433404 SHA256 0d8e67d5650d7331640ea54c20572e75af24f08011ed4d10d9362a4ca64c1c61 SHA512 d60c42c3644c482dcff49eadb1e0894305a87b3a4f1e1d941915fd3806a6da06c7cb8271ec9b38453329e2f8172e42f607b3d9f9dc3d5b135f8cafc45a4d5b8f WHIRLPOOL 6c41a6675446824d28b2924494370c696fc632c99aba061615331adc4804e1cd7402170f3beb239adb47335a54213e53ffec1ae91d0f37e4efb3673d2d94a82a
+DIST firefox-54.0-ro.xpi 449473 SHA256 7d48ec24b3edfce6da4182ab194cbc3051cea3898aef66cf8ceee20f50b275a3 SHA512 f7c60f997d8b984c35115ff9121c577048031b66e6b315d1ee154326388f5ef63a4b8712c183867bf7620b9b411f001cfca306829806b69b2e84ac9d0194f1e9 WHIRLPOOL 2a09a82bf5d13c39c884e542bf7d97af83d389bc787e54fbce0a16eef0f6633d2d0eb4e47b2277c0adcb46c8dfc5e2c3f1d4fb1aa2358f06c50dc50c61e4cbe7
+DIST firefox-54.0-ru.xpi 487731 SHA256 c4d107b88feef02fa1a510389102f6de58c372ecb7600c51b4cb6782f277b91e SHA512 a1f72b69b829e5b06fa3885375bda1349b7262d5171b6313966b4c0bf697a808067c6631aa7135ade2b59ffe506598040557b8193bd9f5332df420d9907b9053 WHIRLPOOL 226ba11ae7310656767e8b4c3681fbd5aaa171b36ebf2a65b6de6c555991c415c9515374ef56eef76fea9f4ed4ecdd550c116e583aa15b17ecf535bd2df521c9
+DIST firefox-54.0-si.xpi 491068 SHA256 653e6314e92b9c7f156b5e57153eb4002dc6e8826c4c5fd7904a2cb8c0b37963 SHA512 88083152d304414d1ca06cd83afb3be555f57b14f271fd4a4012ae69e589b2a878b42e8f83264c04068bbba1c80c8b3929a3a3cc278fd8984ba5905fc9a5b4b8 WHIRLPOOL c34e90824e7d2d5038356715bac6aaaeb540febc7d9ab234434179a76a0e1ea6e51a6ad07032c32194a557e71dbd53bc29a19651a1faed2e437fc8c3e03297ac
+DIST firefox-54.0-sk.xpi 455015 SHA256 478effe7b9e5e2328f47d9eeca2373af9bfc34293a715da482d89e7cba732379 SHA512 603e5514396f1fa12b96d51ea3c7b3f9c5f89e0e4a689210f4a9f09797a63094c7787915189b79b85ba892216eb35e5840f70d3c0609554c94cfb9c050417a02 WHIRLPOOL 1eb7fb0d95227096e6941b7e9810f2b1a64a8142d004bc687528cf9726de49d275128f8ea80b71867b9889610e341cf6a0262835a550a1e9f5681fe57101d7a8
+DIST firefox-54.0-sl.xpi 433174 SHA256 5b2d34ddefda99b5420f94dd2bc1f52765a28cf949e317e9f2d2580bb78cebcd SHA512 327ad8c2e22a1b740131e48d8af35f2549b99831a5785fc9fb53d3e082f6bc5db5d8cefe66d9ea034f6dffc820cfccdefc59025db4021815b445f08f77b2f912 WHIRLPOOL 6012eefeba9d5f582b38d2cffaa1299a7b30275b196da2226fc06232331028c4d073b38d57dac398244ab0789f1b6ef89697151a0b0fbccb4ff00275bfab8fb0
+DIST firefox-54.0-son.xpi 435052 SHA256 a6ebc9f018ebff9ba6d7cf5302da772f8ad118489b05e44d64dc86331a521150 SHA512 10d5ac9d39bd4c2f5b8013f1639c36fdcaf3f93115f566bfabeb8de7a0248605ceead39394a8575fad14bdc89c9cce563fc589f4ef3684e365614b49f326549e WHIRLPOOL 221150dd2c20e62427f45c9690065db0ee5b7e46ff997d517ede30d552058748ac38ac7c9dfc6f0c19c9b167a29c95fcc407e4d5532d992e15d8764bb979afba
+DIST firefox-54.0-sq.xpi 448157 SHA256 a19a8faeb8a28599dac9a0d2ca7432c72b12d5efabc9e5e4a696a46c5b8756d5 SHA512 e23565a37d85289825aa157d68ff6c7352823812188e5de7ae2055425602aa798a3f0ecc094d7383087eeac3b4cdc4ec8d3aa7df097a4417cec2051870df5c0a WHIRLPOOL 1e9ac5956cc2d39f3f7854a7f3e4e93a3e4373a3e393d0b761ceb60016865707ba854980a3514e0f84643863cdc2e63bd0d8c17238c3838cf3326b1e34e05f3e
+DIST firefox-54.0-sr.xpi 461354 SHA256 a706281a42662db287adb9351df8a8d0b516368442063d5722a31cedd2d49044 SHA512 07cd7e31f11979bde099f127c8cdabff95bbed566e9cbf9b00ee95bade92511d385cd15d748bcc23949af054301cc1c1625ae02a2169a4be7afb8b1aab3eb60b WHIRLPOOL 97bf8ec59ce384fc06cb1e96cb6084207f527a0fb48caa24fed8edab85f65b525c17c6201d4fe4d76c61438f4e64e357249113fffe19da315b1ed4372b4748fa
+DIST firefox-54.0-sv-SE.xpi 440478 SHA256 6055191f2b0aa12202630d98de3068e19675b05aa3ee063aec39d00a02892dad SHA512 97ff341951596497c2bb3056eed4c36b800ed722daf0ba4221d7537da57473eeaea161aff4f5a21eac48ea9fcd30c1307c12cf82256714e2160f44f7eef775f4 WHIRLPOOL 954d6180611f9571393bda6e794d3a31fa922a74281e5914dd5ba267becc697e445feef6842fcf03fbd4cc9dc9255685ca028b9af1a7d45b17c02c94ad8bceb5
+DIST firefox-54.0-ta.xpi 493956 SHA256 ed574652254367b061ffcdb6a802ab8a6ccd7c3a30827ba90a3d141aa202c86f SHA512 0db929e023a903d2668693b415db7044620944bea6c21c1d4431f543d10c88f999ed2d0aa517b3b04c2a69554163cc562abe1f33e45c9f1adb03f1292d8dc541 WHIRLPOOL 8f7573c98298f96dd5491af41e589a3c844fb41bf10cfa56cc7519008ce8471a66307731e079429bdc8c46f65a6051b03ea7294075cdf46d91235bc7c4e648d1
+DIST firefox-54.0-te.xpi 513337 SHA256 9e6e718564ddafd81b0dbc52cf9e91c06889ef5b8b1b270644985e6d02fd1f4d SHA512 ca8f0ac6fe80b21bda14c17937c70b578901e42e0be1c129dc6e547838baa172c7f43548d3fd1d24a55e0da9b1f64df43bc17f7e9c471ec10d07db003a30236d WHIRLPOOL e06cd8f028e5f47d18136bfd30fd0dd0df13b000dd4922a9dbf033569981de64f835f8b5c4298c28e433ea5d8eeddae7df40632637e99591115ec143cb22b6ea
+DIST firefox-54.0-th.xpi 487217 SHA256 d25d08b7179a994b49dd6c90ecd2f88782b5fe16ade39b61be0a5e17461d7bc8 SHA512 df6ad1841d68f80387ea2eb0909794752e4b69f1702764531a399cc49a2a5ee34921d5b950820e9893cc02e9f1fcc211b330f976e82132e3b14cd3c90c21f9c4 WHIRLPOOL e57da08f6f03eac24d2b71b45cf9cf05edf6202d0bfdb4ac67751ddc0e23c229aa599c23dc9e4abe00233545a130454726baa480706d3801b3a6e831efd404ed
+DIST firefox-54.0-tr.xpi 440412 SHA256 57d9f03344ddc87bf4ec33406f5f22b31acc5d9ee821fcbe64fd288805c52038 SHA512 b7f59d5da6375d18a0f143a3db573573045da53eb2573cbdb6b4ca7b19e65626aa2ace410207bb77fcf98917a590c872d6a4eb7cd9c3e10c12c595bffcb49063 WHIRLPOOL eec8fb8781cf5aa085c315b3bc0938baca093ac895a378e6b864fa03cebac59aeb9909e27b48bb00a9416023ee911fc147bb3a3d595018acdb15879c4045f56c
+DIST firefox-54.0-uk.xpi 490755 SHA256 cfed556b32924b48084a0645bd30ec12c5de463edcb4bec1f349be08f55ba1e0 SHA512 28a1a3f1047ca93ed0bbf8e7e35128fb5b4d0c05e3d23a8ea0ae2ffc086e63bfd451585fce034a6699b0723a822b84f52644893953a2b64c1a21c34e7edf948d WHIRLPOOL c7b832ad3da64905b4b9065f0af549c06dfe99c6a7ec318247d6677621bfafce54c25edf6f7f5b1e85d32f7dc29d4ec6e3427024d0e857955daddf924e287f6e
+DIST firefox-54.0-uz.xpi 448113 SHA256 a7d2c2182b873c694a19d48638cd72ff11c2a9c0dce12ccd486727bbf71c5ac1 SHA512 48e8c2eda59ba0a6520ae404049c8b6955e646c1290ececc90fcfef9037b2d481610abf21caa87099ac0146ff9d5bf8622c889aafa0c43b1e5556b07bcd8836a WHIRLPOOL e1cafad3cf9be571e8a8f3e80c42d3e2c98bffd7757e19f8cac7cc5cbb81cc54bedddbbb690954abf7f001a2412a099ec5d3cff2db4f64a04ad366e6bad6d786
+DIST firefox-54.0-vi.xpi 449653 SHA256 eb8a9f2177b5649a1227f1e850d1bf546bc3943ab5b5b19d587de49761522146 SHA512 4d91a1084cb39f4ef031e957897b1a61f6726526fec96528c6e45ed5804016a432f07d3bc0c4cee9c2077dc90baf4b6eb93f76fcd5e5e86f0741e759db589643 WHIRLPOOL c0dffc425aaa41a38860a7fddc59bb717af5201801db87096379ca838ecd0b364ab7a2d93d4548ae6a027c64df65514e3040b3c917dd6aadb2229f525e5dc6cf
+DIST firefox-54.0-xh.xpi 440801 SHA256 bf99aaa4576ed39eb62ab8ffdd889833fb97c3d827bb374d2b71aa09fec8c04e SHA512 e9f3ea4d47c47e896372b85258eb8685fc61e9e1657cf6bfa459b172024ada6934ba81bf67286311a4a853171460ec9956d75260d55ad4d6d21118cf6c4bebaa WHIRLPOOL d21835ffff372e7b8cafdd101a628f0d64e06d9f6fcbe5640cef54d83a88503389b66d3e64f60eb06e6b6326c511ee7eb5b9a57873f7eb05814c63eb2dcf0eb6
+DIST firefox-54.0-zh-CN.xpi 458332 SHA256 f066b94bc64a66d64848ccfea5989cf729c90023dd16a472a9f88a40fde1d493 SHA512 6de6dec7ebf9c3271f6180a785a79dba40cddae8c43e783a2b47680dc0d37861388c58587b37361f573c4c73ffa024ca55bb45fd9a0845649450597ed3b765cc WHIRLPOOL 865a29f9d1bc8c46b6d9bc1a7c15dcc07c0ca9e8876a78cfa97947bf9309e3cfcabe56de733ee36cd3dd45968b42b8154f42aa65ace40800d4ede385fe6f9b1c
+DIST firefox-54.0-zh-TW.xpi 469164 SHA256 d2eee4a98157a120c112eb3a06a4bafd154938f8190d63ff1de48cf5e8f94a5e SHA512 e643735b2b381b7fab59c7dc70c688f4cde278a4101c67bf3c4c080b50f0c380814bb2e620ce71290ab55c9f96326aeb399de9b6fa2a2b1337dbc35bd99314e4 WHIRLPOOL 4eb25581d847fbd40d2756d0f6fa012704441a28c3c9a40e74cdc525b7bb997f1267778dff7e23e0f53a3d93de2f6f031bc6a826e3860d9cbd97094a49a97608
+DIST firefox-54.0.source.tar.xz 229178564 SHA256 08a9ff6870d904a2af1d03c17c6c44f67413608efb66bb280894d7b92c336a77 SHA512 0ff6960804e7f6d3e15faeb14b237fee45acae31b4652a6cc5cafa1a1b1eab3537616c3e8ea6d8f3109c87dcc8f86f0df3da2627903b80061c8a62fb11598ed9 WHIRLPOOL d2560a93a79b188b25ece8027f8a9cde173f8d7949ddd205a52bc3703d975567b13ed14429f55b08cda94816035251627bd3052e2702eb93bd91a9add98094e2
diff --git a/www-client/firefox/firefox-54.0.ebuild b/www-client/firefox/firefox-54.0.ebuild
new file mode 100644
index 00000000000..5f92c4c9ca8
--- /dev/null
+++ b/www-client/firefox/firefox-54.0.ebuild
@@ -0,0 +1,398 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VIRTUALX_REQUIRED="pgo"
+WANT_AUTOCONF="2.1"
+MOZ_ESR=""
+
+# This list can be updated with scripts/get_langs.sh from the mozilla overlay
+MOZ_LANGS=( ach af an ar as ast az bg bn-BD bn-IN br bs ca cak cs cy da de dsb
+el en en-GB en-US en-ZA eo es-AR es-CL es-ES es-MX et eu fa ff fi fr fy-NL ga-IE
+gd gl gn gu-IN he hi-IN hr hsb hu hy-AM id is it ja ka kab kk km kn ko lij lt lv
+mai mk ml mr ms nb-NO nl nn-NO or pa-IN pl pt-BR pt-PT rm ro ru si sk sl son sq
+sr sv-SE ta te th tr uk uz vi xh zh-CN zh-TW )
+
+# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
+MOZ_PV="${PV/_alpha/a}" # Handle alpha for SRC_URI
+MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
+MOZ_PV="${MOZ_PV/_rc/rc}" # Handle rc for SRC_URI
+
+if [[ ${MOZ_ESR} == 1 ]]; then
+ # ESR releases have slightly different version numbers
+ MOZ_PV="${MOZ_PV}esr"
+fi
+
+# Patch version
+PATCH="${PN}-54.0-patches-03"
+MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
+
+MOZCONFIG_OPTIONAL_WIFI=1
+
+inherit check-reqs flag-o-matic toolchain-funcs eutils gnome2-utils mozconfig-v6.53 pax-utils fdo-mime autotools virtualx mozlinguas-v2
+
+DESCRIPTION="Firefox Web Browser"
+HOMEPAGE="http://www.mozilla.com/firefox"
+
+KEYWORDS="~amd64 ~x86"
+
+SLOT="0"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="bindist +gmp-autoupdate hardened hwaccel jack nsplugin pgo selinux test"
+RESTRICT="!bindist? ( bindist )"
+
+PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c}/mozilla/patchsets/${PATCH}.tar.xz )
+SRC_URI="${SRC_URI}
+ ${MOZ_HTTP_URI}/${MOZ_PV}/source/firefox-${MOZ_PV}.source.tar.xz
+ ${PATCH_URIS[@]}"
+
+ASM_DEPEND=">=dev-lang/yasm-1.1"
+
+RDEPEND="
+ jack? ( virtual/jack )
+ >=dev-libs/nss-3.30.2
+ >=dev-libs/nspr-4.14
+ selinux? ( sec-policy/selinux-mozilla )"
+
+DEPEND="${RDEPEND}
+ pgo? ( >=sys-devel/gcc-4.5 )
+ >=dev-lang/rust-1.15.1
+ amd64? ( ${ASM_DEPEND} virtual/opengl )
+ x86? ( ${ASM_DEPEND} virtual/opengl )"
+
+S="${WORKDIR}/firefox-${MOZ_PV}"
+
+QA_PRESTRIPPED="usr/lib*/${PN}/firefox"
+
+BUILD_OBJ_DIR="${S}/ff"
+
+# allow GMP_PLUGIN_LIST to be set in an eclass or
+# overridden in the enviromnent (advanced hackers only)
+if [[ -z $GMP_PLUGIN_LIST ]]; then
+ GMP_PLUGIN_LIST=( gmp-gmpopenh264 gmp-widevinecdm )
+fi
+
+pkg_setup() {
+ moz_pkgsetup
+
+ # Avoid PGO profiling problems due to enviroment leakage
+ # These should *always* be cleaned up anyway
+ unset DBUS_SESSION_BUS_ADDRESS \
+ DISPLAY \
+ ORBIT_SOCKETDIR \
+ SESSION_MANAGER \
+ XDG_SESSION_COOKIE \
+ XAUTHORITY
+
+ if ! use bindist; then
+ einfo
+ elog "You are enabling official branding. You may not redistribute this build"
+ elog "to any users on your network or the internet. Doing so puts yourself into"
+ elog "a legal problem with Mozilla Foundation"
+ elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag"
+ fi
+
+ if use pgo; then
+ einfo
+ ewarn "You will do a double build for profile guided optimization."
+ ewarn "This will result in your build taking at least twice as long as before."
+ fi
+}
+
+pkg_pretend() {
+ # Ensure we have enough disk space to compile
+ if use pgo || use debug || use test ; then
+ CHECKREQS_DISK_BUILD="8G"
+ else
+ CHECKREQS_DISK_BUILD="4G"
+ fi
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+
+ # Unpack language packs
+ mozlinguas_src_unpack
+}
+
+src_prepare() {
+ # Apply our patches
+ eapply "${WORKDIR}/firefox"
+
+ # Enable gnomebreakpad
+ if use debug ; then
+ sed -i -e "s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \
+ "${S}"/build/unix/run-mozilla.sh || die "sed failed!"
+ fi
+
+ # Drop -Wl,--as-needed related manipulation for ia64 as it causes ld sefgaults, bug #582432
+ if use ia64 ; then
+ sed -i \
+ -e '/^OS_LIBS += no_as_needed/d' \
+ -e '/^OS_LIBS += as_needed/d' \
+ "${S}"/widget/gtk/mozgtk/gtk2/moz.build \
+ "${S}"/widget/gtk/mozgtk/gtk3/moz.build \
+ || die "sed failed to drop --as-needed for ia64"
+ fi
+
+ # Ensure that our plugins dir is enabled as default
+ sed -i -e "s:/usr/lib/mozilla/plugins:/usr/lib/nsbrowser/plugins:" \
+ "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 32bit!"
+ sed -i -e "s:/usr/lib64/mozilla/plugins:/usr/lib64/nsbrowser/plugins:" \
+ "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 64bit!"
+
+ # Fix sandbox violations during make clean, bug 372817
+ sed -e "s:\(/no-such-file\):${T}\1:g" \
+ -i "${S}"/config/rules.mk \
+ -i "${S}"/nsprpub/configure{.in,} \
+ || die
+
+ # Don't exit with error when some libs are missing which we have in
+ # system.
+ sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+ -i "${S}"/browser/installer/Makefile.in || die
+
+ # Don't error out when there's no files to be removed:
+ sed 's@\(xargs rm\)$@\1 -f@' \
+ -i "${S}"/toolkit/mozapps/installer/packager.mk || die
+
+ # Keep codebase the same even if not using official branding
+ sed '/^MOZ_DEV_EDITION=1/d' \
+ -i "${S}"/browser/branding/aurora/configure.sh || die
+
+ # Allow user to apply any additional patches without modifing ebuild
+ eapply_user
+
+ # Autotools configure is now called old-configure.in
+ # This works because there is still a configure.in that happens to be for the
+ # shell wrapper configure script
+ eautoreconf old-configure.in
+
+ # Must run autoconf in js/src
+ cd "${S}"/js/src || die
+ eautoconf old-configure.in
+
+ # Need to update jemalloc's configure
+ cd "${S}"/memory/jemalloc/src || die
+ WANT_AUTOCONF= eautoconf
+}
+
+src_configure() {
+ MEXTENSIONS="default"
+ # Google API keys (see http://www.chromium.org/developers/how-tos/api-keys)
+ # Note: These are for Gentoo Linux use ONLY. For your own distribution, please
+ # get your own set of keys.
+ _google_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
+
+ ####################################
+ #
+ # mozconfig, CFLAGS and CXXFLAGS setup
+ #
+ ####################################
+
+ mozconfig_init
+ mozconfig_config
+
+ # enable JACK, bug 600002
+ mozconfig_use_enable jack
+
+ # It doesn't compile on alpha without this LDFLAGS
+ use alpha && append-ldflags "-Wl,--no-relax"
+
+ # Add full relro support for hardened
+ use hardened && append-ldflags "-Wl,-z,relro,-z,now"
+
+ # Only available on mozilla-overlay for experimentation -- Removed in Gentoo repo per bug 571180
+ #use egl && mozconfig_annotate 'Enable EGL as GL provider' --with-gl-provider=EGL
+
+ # Setup api key for location services
+ echo -n "${_google_api_key}" > "${S}"/google-api-key
+ mozconfig_annotate '' --with-google-api-keyfile="${S}/google-api-key"
+
+ mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
+
+ # Allow for a proper pgo build
+ if use pgo; then
+ echo "mk_add_options PROFILE_GEN_SCRIPT='EXTRA_TEST_ARGS=10 \$(MAKE) -C \$(MOZ_OBJDIR) pgo-profile-run'" >> "${S}"/.mozconfig
+ fi
+
+ echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
+ echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
+
+ # Finalize and report settings
+ mozconfig_final
+
+ # workaround for funky/broken upstream configure...
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ emake -f client.mk configure
+}
+
+src_compile() {
+ if use pgo; then
+ addpredict /root
+ addpredict /etc/gconf
+ # Reset and cleanup environment variables used by GNOME/XDG
+ gnome2_environment_reset
+
+ # Firefox tries to use dri stuff when it's run, see bug 380283
+ shopt -s nullglob
+ cards=$(echo -n /dev/dri/card* | sed 's/ /:/g')
+ if test -z "${cards}"; then
+ cards=$(echo -n /dev/ati/card* /dev/nvidiactl* | sed 's/ /:/g')
+ if test -n "${cards}"; then
+ # Binary drivers seem to cause access violations anyway, so
+ # let's use indirect rendering so that the device files aren't
+ # touched at all. See bug 394715.
+ export LIBGL_ALWAYS_INDIRECT=1
+ fi
+ fi
+ shopt -u nullglob
+ [[ -n "${cards}" ]] && addpredict "${cards}"
+
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ virtx emake -f client.mk profiledbuild || die "virtx emake failed"
+ else
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ emake -f client.mk realbuild
+ fi
+
+}
+
+src_install() {
+ cd "${BUILD_OBJ_DIR}" || die
+
+ # Pax mark xpcshell for hardened support, only used for startupcache creation.
+ pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
+
+ # Add our default prefs for firefox
+ cp "${FILESDIR}"/gentoo-default-prefs.js-1 \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+
+ mozconfig_install_prefs \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js"
+
+ # Augment this with hwaccel prefs
+ if use hwaccel ; then
+ cat "${FILESDIR}"/gentoo-hwaccel-prefs.js-1 >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+ fi
+
+ echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+
+ if use nsplugin; then
+ echo "pref(\"plugin.load_flash_only\", false);" >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+ fi
+
+ local plugin
+ use gmp-autoupdate || for plugin in "${GMP_PLUGIN_LIST[@]}" ; do
+ echo "pref(\"media.${plugin}.autoupdate\", false);" >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+ done
+
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ emake DESTDIR="${D}" install
+
+ # Install language packs
+ mozlinguas_src_install
+
+ local size sizes icon_path icon name
+ if use bindist; then
+ sizes="16 32 48"
+ icon_path="${S}/browser/branding/aurora"
+ # Firefox's new rapid release cycle means no more codenames
+ # Let's just stick with this one...
+ icon="aurora"
+ name="Aurora"
+
+ # Override preferences to set the MOZ_DEV_EDITION defaults, since we
+ # don't define MOZ_DEV_EDITION to avoid profile debaucles.
+ # (source: browser/app/profile/firefox.js)
+ cat >>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" <<PROFILE_EOF
+pref("app.feedback.baseURL", "https://input.mozilla.org/%LOCALE%/feedback/firefoxdev/%VERSION%/");
+sticky_pref("lightweightThemes.selectedThemeID", "firefox-devedition@mozilla.org");
+sticky_pref("browser.devedition.theme.enabled", true);
+sticky_pref("devtools.theme", "dark");
+PROFILE_EOF
+
+ else
+ sizes="16 22 24 32 256"
+ icon_path="${S}/browser/branding/official"
+ icon="${PN}"
+ name="Mozilla Firefox"
+ fi
+
+ # Install icons and .desktop for menu entry
+ for size in ${sizes}; do
+ insinto "/usr/share/icons/hicolor/${size}x${size}/apps"
+ newins "${icon_path}/default${size}.png" "${icon}.png"
+ done
+ # The 128x128 icon has a different name
+ insinto "/usr/share/icons/hicolor/128x128/apps"
+ newins "${icon_path}/mozicon128.png" "${icon}.png"
+ # Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
+ newicon "${icon_path}/content/icon48.png" "${icon}.png"
+ newmenu "${FILESDIR}/icon/${PN}.desktop" "${PN}.desktop"
+ sed -i -e "s:@NAME@:${name}:" -e "s:@ICON@:${icon}:" \
+ "${ED}/usr/share/applications/${PN}.desktop" || die
+
+ # Add StartupNotify=true bug 237317
+ if use startup-notification ; then
+ echo "StartupNotify=true"\
+ >> "${ED}/usr/share/applications/${PN}.desktop" \
+ || die
+ fi
+
+ # Required in order to use plugins and even run firefox on hardened.
+ pax-mark m "${ED}"${MOZILLA_FIVE_HOME}/{firefox,firefox-bin,plugin-container}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+
+ # if the apulse libs are available in MOZILLA_FIVE_HOME then apulse
+ # doesn't need to be forced into the LD_LIBRARY_PATH
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.9" ; then
+ einfo "APULSE found - Generating library symlinks for sound support"
+ local lib
+ pushd "${ED}"${MOZILLA_FIVE_HOME} &>/dev/null || die
+ for lib in ../apulse/libpulse{.so{,.0},-simple.so{,.0}} ; do
+ # a quickpkg rolled by hand will grab symlinks as part of the package,
+ # so we need to avoid creating them if they already exist.
+ if ! [ -L ${lib##*/} ]; then
+ ln -s "${lib}" ${lib##*/} || die
+ fi
+ done
+ popd &>/dev/null || die
+ fi
+}
+
+pkg_postinst() {
+ # Update mimedb for the new .desktop file
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+
+ if ! use gmp-autoupdate ; then
+ elog "USE='-gmp-autoupdate' has disabled the following plugins from updating or"
+ elog "installing into new profiles:"
+ local plugin
+ for plugin in "${GMP_PLUGIN_LIST[@]}"; do elog "\t ${plugin}" ; done
+ fi
+
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.9"; then
+ elog "Apulse was detected at merge time on this system and so it will always be"
+ elog "used for sound. If you wish to use pulseaudio instead please unmerge"
+ elog "media-sound/apulse."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}